﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using Common;

namespace Client
{
    class Program
    {
        static void Main(string[] args)
        {
            var binding = new BasicHttpBinding();
            var endpoint = new EndpointAddress("http://localhost:9000/PersonServiceRouter");
            var proxy = ChannelFactory<IPersonService>.CreateChannel(binding, endpoint);

            CallService(proxy, "london");
            CallService(proxy, "paris");

            Console.ReadLine();
        }

        static void CallService(IPersonService proxy, string location)
        {
            Console.WriteLine("-------------------------");
            Console.WriteLine("Service URL: http://localhost:9000/PersonServiceRouter");
            Console.WriteLine("Filter: " + location);
            var filter = new PersonFilter() { Location = location };
            var person = proxy.GetPerson(filter);
            Console.WriteLine("Firstname: {0}, Lastname: {1}", person.Firstname, person.Lastname);
            Console.WriteLine("-------------------------");
            Console.WriteLine(string.Empty);
        }
    }
}
